Bug 728296

Summary: Review Request: perl-Gtk2-WebKit - Web content engine library for Gtk2
Product: [Fedora] Fedora Reporter: Remi Collet <fedora>
Component: Package ReviewAssignee: Haïkel Guémar <karlthered>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: karlthered, notting, package-review, perl-devel
Target Milestone: ---Flags: karlthered: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: perl-Gtk2-WebKit-0.09-1.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-08-17 00:56:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Remi Collet 2011-08-04 15:49:45 UTC
Spec URL: https://raw.github.com/remicollet/remirepo/master/perl-Gtk2-WebKit/perl-Gtk2-WebKit.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/perl-Gtk2-WebKit-0.09-1.remi.src.rpm
Description: 
WebKit is a web content engine, derived from KHTML and KJS from KDE, and
used primarily in Apple's Safari browser. It is made to be embedded in
other applications, such as mail readers, or web browsers.

--
This package is required by gmusicbrowser, to be used instead of perl-Gtk2-MozEmbed which is removed in f16.

gmusicbrowser (web context plugin) is a good way to test this package (without perl-Gtk2-MozEmbed)

Comment 1 Haïkel Guémar 2011-08-05 08:07:57 UTC
perl-Gtk2-WebKit (Perl package)

MUST: rpmlint must be run on src.rpm and rpm.  OK
$ rpmlint -iv perl-Gtk2-WebKit-0.09-1.fc15.src.rpm
perl-Gtk2-WebKit.src: I: checking
perl-Gtk2-WebKit.src: I: checking-url http://search.cpan.org/dist/Gtk2-WebKit/ (timeout 10 seconds)
perl-Gtk2-WebKit.src: I: checking-url http://www.cpan.org/modules/by-module/Gtk2/Gtk2-WebKit-0.09.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint -iv perl-Gtk2-WebKit-0.09-1.fc15.x86_64.rpm
perl-Gtk2-WebKit.x86_64: I: checking
perl-Gtk2-WebKit.x86_64: I: checking-url http://search.cpan.org/dist/Gtk2-WebKit/ (timeout 10 seconds)
perl-Gtk2-WebKit.x86_64: W: devel-file-in-non-devel-package /usr/lib64/perl5/vendor_perl/Gtk2/WebKit/Install/webkit-autogen.h
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

1 packages and 0 specfiles checked; 0 errors, 1 warnings.

According perl SIG packaging guidelines, C headers in binary module packages are OK

MUST: package named accordingly to package naming guidelines. OK 

MUST: spec file name match %{name}  OK

MUST: package meets packaging guidelines OK

MUST: package must be licensed under a fedora-compliant license OK (LGPLv2+)

MUST: License field in package spec match actual license OK
Note: no license file was included, i checked directly on CPAN

MUST: spec in legible american english OK

MUST: sources provided match upstream's OK

provided sources sha1sum: fb16b7be71c9c80c2fed8737605572ac7e54ce51
upstream sources sha1sum: fb16b7be71c9c80c2fed8737605572ac7e54ce51

MUST: package successfully compiles on at least one primary architecture (all of them) OK

MUST: all build dependencies are listed in BR OK

MUST: package must own all directories it creates OK

MUST: package does not list a file more than once in %files section OK

MUST: permissions are properly set OK

MUST: package consistenly use macros OK

MUST: package contains permissable content OK

MUST: package does not own directories owned by other packages OK

MUST: all filenames in package are valid UTF-8 OK

SHOULD: packager should request upstream to include a proper license file NOTABLOCKER

SHOULD: mock builds were done for fedora 16 on all primary architectures (x86/x86_64) OK
scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3253746

SHOULD: the module provided works (tested with gtest) OK

SHOULD: man pages are provided OK


This package respect general & Perl Fedora Packaging guidelines so i hereby approve the inclusion into Fedora Packages Collection.
Don't forget to ask upstream to add license file.

Comment 2 Remi Collet 2011-08-05 14:36:56 UTC
Thanks for the review

New Package SCM Request
=======================
Package Name: perl-Gtk2-WebKit
Short Description: Web content engine library for Gtk2
Owners: remi
Branches: f15 f16
InitialCC: perl-sig

Comment 3 Gwyn Ciesla 2011-08-05 14:47:29 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-08-05 15:45:44 UTC
perl-Gtk2-WebKit-0.09-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Gtk2-WebKit-0.09-1.fc16

Comment 5 Fedora Update System 2011-08-05 15:46:13 UTC
perl-Gtk2-WebKit-0.09-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Gtk2-WebKit-0.09-1.fc15

Comment 6 Fedora Update System 2011-08-05 20:08:07 UTC
perl-Gtk2-WebKit-0.09-1.fc16 has been pushed to the Fedora 16 testing repository.

Comment 7 Fedora Update System 2011-08-17 00:56:46 UTC
perl-Gtk2-WebKit-0.09-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 8 Fedora Update System 2011-08-22 15:10:17 UTC
perl-Gtk2-WebKit-0.09-1.fc16 has been pushed to the Fedora 16 stable repository.